--- old/usr/src/uts/sun4u/starcat/Makefile.targ	2013-12-14 21:35:04.626988026 -0500
+++ new/usr/src/uts/sun4u/starcat/Makefile.targ	2013-12-14 21:35:04.632678245 -0500
@@ -1,9 +1,9 @@
+#
 # CDDL HEADER START
 #
 # The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
 #
 # You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 # or http://www.opensolaris.org/os/licensing.
@@ -18,12 +18,79 @@
 #
 # CDDL HEADER END
 #
-# Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
+
+#
+# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+#	Common targets for sun4u starcat implementation specific modules.
+#
+
+.KEEP_STATE:
+
+#
+# Rules for implementation subdirectories.
 #
+$(ROOT_STARCAT_DIR): $(ROOT_PLAT_DIR)
+	-$(INS.dir)
+
+$(ROOT_STARCAT_MOD_DIR): $(ROOT_STARCAT_DIR)
+	-$(INS.dir)
+
+$(ROOT_STARCAT_CPU_DIR_32): $(ROOT_STARCAT_MOD_DIR)
+	-$(INS.dir)
+
+$(ROOT_STARCAT_CPU_DIR_64): $(ROOT_STARCAT_CPU_DIR_32)
+	-$(INS.dir)
+
+$(ROOT_STARCAT_DRV_DIR_32): $(ROOT_STARCAT_MOD_DIR)
+	-$(INS.dir)
+
+$(ROOT_STARCAT_DRV_DIR_64): $(ROOT_STARCAT_DRV_DIR_32)
+	-$(INS.dir)
+
+$(ROOT_STARCAT_MISC_DIR_32): $(ROOT_STARCAT_MOD_DIR)
+	-$(INS.dir)
 
-UTSTREE=$(UTSBASE)
+$(ROOT_STARCAT_MISC_DIR_64): $(ROOT_STARCAT_MISC_DIR_32)
+	-$(INS.dir)
 
-include $(UTSBASE)/sun4u/starcat/Makefile.targ.shared
+$(ROOT_STARCAT_CRYPTO_DIR_32): $(ROOT_STARCAT_MOD_DIR)
+	-$(INS.dir)
+
+$(ROOT_STARCAT_CRYPTO_DIR_64): $(ROOT_STARCAT_CRYPTO_DIR_32)
+	-$(INS.dir)
+
+$(USR_STARCAT_DIR): $(USR_PLAT_DIR)
+	-$(INS.dir)
+
+$(USR_STARCAT_INC_DIR): $(USR_STARCAT_DIR)
+	$(INS.slink4)
+
+$(USR_STARCAT_SBIN_DIR): $(USR_STARCAT_DIR)
+	-$(INS.slink5)
+
+$(USR_STARCAT_LIB_DIR): $(USR_STARCAT_DIR)
+	-$(INS.dir)
+
+$(USR_STARCAT_ISYS_DIR): $(USR_STARCAT_INC_DIR)
+	$(INS.dir)
+
+$(ROOT_STARCAT_KERN_DIR)/%: $(OBJS_DIR)/% $(ROOT_STARCAT_KERN_DIR) FRC
+	$(INS.file)
+
+$(ROOT_STARCAT_DRV_DIR)/%: $(OBJS_DIR)/% $(ROOT_STARCAT_DRV_DIR) FRC
+	$(INS.file)
+
+$(ROOT_STARCAT_CPU_DIR)/%: $(OBJS_DIR)/% $(ROOT_STARCAT_CPU_DIR) FRC
+	$(INS.file)
+
+$(ROOT_STARCAT_MISC_DIR)/%: $(OBJS_DIR)/% $(ROOT_STARCAT_MISC_DIR) FRC
+	$(INS.file)
+
+#
+#	Include common targets.
+#
+include $(UTSBASE)/sun4u/ngdr/Makefile.rules
+include $(UTSBASE)/sun4u/starcat/Makefile.rules
+include $(UTSBASE)/sun4u/Makefile.targ
